Skip to main content

Create Wallet

Generate a new deposit address.

POST /v1/wallets

Request Body:

FieldTypeRequiredDescription
networkstringYesBlockchain network (see supported networks)
cryptostringYesCryptocurrency symbol
metadataobjectNoCustom data returned in webhooks
expiresInMinutesnumberNoAddress expiration (1-43200 minutes, max 30 days)

Example Request:

{
"network": "trc20",
"crypto": "USDT",
"metadata": {
"orderId": "ORD-12345",
"customerId": "cust_abc",
"productName": "Premium Subscription"
},
"expiresInMinutes": 60
}

Example Response:

{
"success": true,
"wallet": {
"id": "wal_tW_hoGlA1SpQNB1y",
"address": "TYVVgZBSUrvntue4WSGWNi15b3er3wiYnh",
"network": "trc20",
"crypto": "USDT",
"status": "watching",
"createdAt": "2024-03-03T08:38:12.000Z",
"expiresAt": "2024-03-03T09:38:12.000Z",
"metadata": {
"orderId": "ORD-12345",
"customerId": "cust_abc",
"productName": "Premium Subscription"
}
}
}